Subject: bug#72992: 29.4; towards xoauth2 support in Emacs

From: Philip Kaludercic <[email-masked]>
Date: Mon, 23 Sep 2024 06:17:48 +0000

Xiyue Deng <[email-masked]> writes:

[...]

>> diff --git a/auth-source-xoauth2-plugin.el b/auth-source-xoauth2-plugin.el
>> index cdcc9e7..caf5baf 100644
>> --- a/auth-source-xoauth2-plugin.el
>> +++ b/auth-source-xoauth2-plugin.el
>> @@ -41,7 +41,7 @@
>>  ;; or with use-package:
>>  
>>  ;;     (use-package auth-source-xoauth2-plugin
>> -;;       :config
>> +;;       :custom
>>  ;;       (auth-source-xoauth2-plugin-mode t))
>>
>
> Quick question: I wonder whether customizing the minor mode variable is
> preferred over toggling through the minor mode function?  (I assume both
> will run the minor mode body.)

You are right, it doesn't matter.  I changed this when adding the
autoload cookie, and somehow I had convinced myself that this would only
work as a user option, which of course is not the case.

[...]

-- 
	Philip Kaludercic on siskin